curl --request GET \
--url https://api.augustus.com/v1/payouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.augustus.com/v1/payouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.augustus.com/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440003",
"type": "payout",
"status": "initiated",
"account_id": "550e8400-e29b-41d4-a716-446655440001",
"amount": "100.50",
"currency": "EUR",
"counterparty_id": "550e8400-e29b-41d4-a716-446655440000",
"unstructured_remittance_information": "INV-2026-0042",
"tracking_reference": "550e8400-e29b-41d4-a716-44665544000d",
"failure": null,
"metadata": {
"invoice_id": "INV-2026-0042"
},
"initiated_at": "2026-01-15T10:30:00Z",
"sent_at": "2026-01-15T10:35:00Z",
"tx_hash": null,
"rail": "sepa"
}
],
"has_more": true,
"next_cursor": "eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0",
"has_previous": true,
"previous_cursor": "eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0"
}List payouts
Lists payouts for the merchant with cursor-based pagination.
Authorizations
Bearer token for authentication with Augustus Banking API
Query Parameters
Number of results per page (1-100). Defaults to 10.
1 <= x <= 100Opaque cursor from a previous next_cursor.
Filter by payout status.
initiated, submitted, sent, failed, returned Include payouts whose created_at is greater than or equal to this ISO 8601 timestamp.
"2026-01-01T00:00:00Z"
Include payouts whose created_at is less than or equal to this ISO 8601 timestamp.
"2026-02-01T00:00:00Z"
Filter to these currency codes. Use a separate currencies query parameter for each value (e.g. ?currencies=EUR¤cies=USD).
1Currency code (ISO 4217 or crypto).
EUR, GBP, USD, USDC Response
Paginated list of payouts
Show child attributes
Show child attributes
"eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0"
"eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0"
Was this page helpful?